summaryrefslogtreecommitdiff
path: root/autoconf/AutoRegen.sh
diff options
context:
space:
mode:
authorReid Spencer <rspencer@reidspencer.com>2006-08-04 18:18:08 +0000
committerReid Spencer <rspencer@reidspencer.com>2006-08-04 18:18:08 +0000
commita773bd54f32ceb55af08286fe00c6ec1b73e5b9a (patch)
tree69a3f6fe1c3b1bd531286876e85ba58daa301856 /autoconf/AutoRegen.sh
parent5fa8fff8d21d98896957f3a891968c3ffc66c096 (diff)
downloadllvm-a773bd54f32ceb55af08286fe00c6ec1b73e5b9a.tar.gz
llvm-a773bd54f32ceb55af08286fe00c6ec1b73e5b9a.tar.bz2
llvm-a773bd54f32ceb55af08286fe00c6ec1b73e5b9a.tar.xz
Update the auto* tools: autoconf 2.60, libtool 1.5.22, automake 1.9.6.
Update ltld.[ch] to version 1.5.22. Correct the notes about updating these tools (autoconf/README.TXT) Add configure options for getting the correct option for including a whole archive when linking. git-svn-id: https://llvm.org/svn/llvm-project/llvm/trunk@29529 91177308-0d34-0410-b5e6-96231b3b80d8
Diffstat (limited to 'autoconf/AutoRegen.sh')
-rwxr-xr-xautoconf/AutoRegen.sh22
1 files changed, 11 insertions, 11 deletions
diff --git a/autoconf/AutoRegen.sh b/autoconf/AutoRegen.sh
index 62dd6b2864..f0880cb950 100755
--- a/autoconf/AutoRegen.sh
+++ b/autoconf/AutoRegen.sh
@@ -7,14 +7,14 @@ outfile=configure
configfile=configure.ac
test -d autoconf && test -f autoconf/$configfile && cd autoconf
test -f $configfile || die "Can't find 'autoconf' dir; please cd into it first"
-autoconf --version | grep '2\.59' > /dev/null
-test $? -eq 0 || die "Your autoconf was not detected as being 2.59"
-aclocal --version | grep '^aclocal.*1\.9\.2' > /dev/null
-test $? -eq 0 || die "Your aclocal was not detected as being 1.9.2"
-autoheader --version | grep '^autoheader.*2\.59' > /dev/null
-test $? -eq 0 || die "Your autoheader was not detected as being 2.59"
-libtool --version | grep '1\.5\.10' > /dev/null
-test $? -eq 0 || die "Your libtool was not detected as being 1.5.10"
+autoconf --version | grep '2\.60' > /dev/null
+test $? -eq 0 || die "Your autoconf was not detected as being 2.60"
+aclocal --version | grep '^aclocal.*1\.9\.6' > /dev/null
+test $? -eq 0 || die "Your aclocal was not detected as being 1.9.6"
+autoheader --version | grep '^autoheader.*2\.60' > /dev/null
+test $? -eq 0 || die "Your autoheader was not detected as being 2.60"
+libtool --version | grep '1\.5\.22' > /dev/null
+test $? -eq 0 || die "Your libtool was not detected as being 1.5.22"
echo ""
echo "### NOTE: ############################################################"
echo "### If you get *any* warnings from autoconf below you MUST fix the"
@@ -24,12 +24,12 @@ echo "### commit any configure script that was generated with warnings"
echo "### present. You should get just three 'Regenerating..' lines."
echo "######################################################################"
echo ""
-echo "Regenerating aclocal.m4 with aclocal 1.9.2"
+echo "Regenerating aclocal.m4 with aclocal 1.9.6"
cwd=`pwd`
aclocal --force -I $cwd/m4 || die "aclocal failed"
-echo "Regenerating configure with autoconf 2.59"
+echo "Regenerating configure with autoconf 2.60"
autoconf --force --warnings=all -o ../$outfile $configfile || die "autoconf failed"
cd ..
-echo "Regenerating config.h.in with autoheader 2.59"
+echo "Regenerating config.h.in with autoheader 2.60"
autoheader --warnings=all -I autoconf -I autoconf/m4 autoconf/$configfile || die "autoheader failed"
exit 0